import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onLiaallButmisamt(){
                let rtnmsg = await this.executeRule("liaall.butmisamt")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onLiaallButmissig(){
                let rtnmsg = await this.executeRule("liaall.butmissig")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onSetmodDet(){
                let rtnmsg = await this.executeRule("setmod.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onMtdbutButapy(){
                let rtnmsg = await this.executeRule("mtdbut.butapy")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onMtdbutButcan(){
                let rtnmsg = await this.executeRule("mtdbut.butcan")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onLiaccvAdd(){
                let rtnmsg = await this.executeRule("liaccv.add")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onLiaccvDel(){
                let rtnmsg = await this.executeRule("liaccv.del")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTxmdtetagm06Buttxmsel(){
                let rtnmsg = await this.executeRule("txmdtetagm06.buttxmsel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTxmdtetagm07Buttxmsel(){
                let rtnmsg = await this.executeRule("txmdtetagm07.buttxmsel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTxmdtetagm08Buttxmsel(){
                let rtnmsg = await this.executeRule("txmdtetagm08.buttxmsel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTrndocButshw(){
                let rtnmsg = await this.executeRule("trndoc.butshw")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTrndocButadd(){
                let rtnmsg = await this.executeRule("trndoc.butadd")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTrndocButnew(){
                let rtnmsg = await this.executeRule("trndoc.butnew")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTrndocButattto(){
                let rtnmsg = await this.executeRule("trndoc.butattto")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTrndocButdel(){
                let rtnmsg = await this.executeRule("trndoc.butdel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTrndocButatt(){
                let rtnmsg = await this.executeRule("trndoc.butatt")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}